{ config, pkgs, ... }:

{
  imports =
    [
      ./hardware-configuration.nix
      ../modules/home-manager.nix
      ../modules/common.nix
      ../modules/users.nix
      ../modules/locales.nix
      ../modules/services.nix
      ../modules/programs.nix
      ../modules/garbage-collection.nix
      ../modules/printing.nix
      ../modules/docker.nix
      ../modules/teams-for-linux.nix
      ../modules/azure-data-studio.nix
      ../modules/filezilla.nix
      ../modules/wireguard.nix
      ../modules/remmina.nix
      ../modules/postman.nix
    ];

  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  boot.plymouth.enable = true;
  boot.plymouth.theme = "spinner";
  boot.initrd.systemd.enable = true;

  programs.nix-ld.enable = true;

  networking.hostName = "laptop-armel";

  home-manager.users.avravels.home.git.userName = "Armel van Ravels";
  home-manager.users.avravels.home.git.userEmail = "armel@webavance.nl";

  networking.networkmanager.enable = true;
  networking.nameservers = [ "192.168.68.56" "1.1.1.1" "8.8.8.8" ];
  networking.firewall.enable = false;

  hardware.graphics.enable = true;
  services.xserver.videoDrivers = [ "intel" ];

  virtualisation.libvirtd.enable = true;

  networking.hosts = {
    "127.0.0.1" = [ "local.wormundco.de" "local.wormundco.nl" "local.wormenco.nl" "local.wurmundco.de" ];
    "149.210.174.226" = [ "kindertelefoon" ];
  };

  system.stateVersion = "25.11"; # Did you read the comment?
}
